# DeploymentTemplate

All deployment template endpoints

## GET /v3/deploymentTemplate/game

> Get all game deployment templates

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","gameDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Game deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your game deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"gameDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplateBuild"},"description":"Application build assigned to the template (can only be one build)"}},"additionalProperties":false},"GameDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game":{"get":{"tags":["DeploymentTemplate"],"summary":"Get all game deployment templates","operationId":"getDeploymentTemplateGames","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/deploymentTemplate/game

> Create a game deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","gameDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Game deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your game deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"gameDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplateBuild"},"description":"Application build assigned to the template (can only be one build)"}},"additionalProperties":false},"GameDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game":{"post":{"tags":["DeploymentTemplate"],"summary":"Create a game deployment template","operationId":"createDeploymentTemplateGame","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/game/{deploymentTemplateId}

> Get the details of game deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","gameDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Game deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your game deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"gameDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplateBuild"},"description":"Application build assigned to the template (can only be one build)"}},"additionalProperties":false},"GameDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game/{deploymentTemplateId}":{"get":{"tags":["DeploymentTemplate"],"summary":"Get the details of game deployment template","operationId":"getDeploymentTemplateGame","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/deploymentTemplate/game/{deploymentTemplateId}

> Update given game deployment template.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","gameDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Game deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your game deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"gameDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/GameDeploymentTemplateBuild"},"description":"Application build assigned to the template (can only be one build)"}},"additionalProperties":false},"GameDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game/{deploymentTemplateId}":{"put":{"tags":["DeploymentTemplate"],"summary":"Update given game deployment template.","operationId":"updateDeploymentTemplateGame","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GameDeploymentTemplate"}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/deploymentTemplate/game/{deploymentTemplateId}

> Delete given game deployment template.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game/{deploymentTemplateId}":{"delete":{"tags":["DeploymentTemplate"],"summary":"Delete given game deployment template.","operationId":"deleteDeploymentTemplateGame","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"409":{"description":"If the template is in use, it cannot be deleted"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/game/{deploymentTemplateId}/fleet

> Get all fleets using the given game deploymentTemplateId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/game/{deploymentTemplateId}/fleet":{"get":{"tags":["DeploymentTemplate"],"summary":"Get all fleets using the given game deploymentTemplateId","operationId":"getDeploymentTemplateGameFleets","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/utility

> All your utility deployment templates

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UtilityDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","utilityDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Utility deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The name of your utility deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"utilityDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplateBuild"},"description":"A List of utility deployment template build's"}},"additionalProperties":false},"UtilityDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"},"deployOn":{"type":"integer","format":"integer","description":"Indicates on which host types to install the utilities on:\n1) bare metal,\n2) VM,\n3) both (default value when not specified)"},"installsPerLocation":{"type":"integer","format":"integer","description":"If > 0, limit the amount of deploys on hosts to this figure, for each active dcLocation.\nSo if this value is 2, this utility will only be deployed on two hosts per dcLocation. If 0 (default value when not specified), it will be deployed on every host in use."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility":{"get":{"tags":["DeploymentTemplate"],"summary":"All your utility deployment templates","operationId":"getDeploymentTemplateUtilities","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/deploymentTemplate/utility

> Create an instance of utility deployment template.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UtilityDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","utilityDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Utility deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The name of your utility deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"utilityDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplateBuild"},"description":"A List of utility deployment template build's"}},"additionalProperties":false},"UtilityDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"},"deployOn":{"type":"integer","format":"integer","description":"Indicates on which host types to install the utilities on:\n1) bare metal,\n2) VM,\n3) both (default value when not specified)"},"installsPerLocation":{"type":"integer","format":"integer","description":"If > 0, limit the amount of deploys on hosts to this figure, for each active dcLocation.\nSo if this value is 2, this utility will only be deployed on two hosts per dcLocation. If 0 (default value when not specified), it will be deployed on every host in use."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility":{"post":{"tags":["DeploymentTemplate"],"summary":"Create an instance of utility deployment template.","operationId":"createDeploymentTemplateUtility","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/utility/{deploymentTemplateId}

> Get the details of a utility deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UtilityDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","utilityDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Utility deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The name of your utility deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"utilityDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplateBuild"},"description":"A List of utility deployment template build's"}},"additionalProperties":false},"UtilityDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"},"deployOn":{"type":"integer","format":"integer","description":"Indicates on which host types to install the utilities on:\n1) bare metal,\n2) VM,\n3) both (default value when not specified)"},"installsPerLocation":{"type":"integer","format":"integer","description":"If > 0, limit the amount of deploys on hosts to this figure, for each active dcLocation.\nSo if this value is 2, this utility will only be deployed on two hosts per dcLocation. If 0 (default value when not specified), it will be deployed on every host in use."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility/{deploymentTemplateId}":{"get":{"tags":["DeploymentTemplate"],"summary":"Get the details of a utility deployment template","operationId":"getDeploymentTemplateUtility","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/deploymentTemplate/utility/{deploymentTemplateId}

> Update an instance of utility deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UtilityDeploymentTemplate":{"type":"object","required":["id","fleetIds","name","inUse","createdAt","utilityDeploymentTemplateBuild"],"properties":{"id":{"type":"string","format":"","description":"Utility deployment template ID","readOnly":true},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"name":{"type":"string","format":"","description":"The name of your utility deployment template"},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"utilityDeploymentTemplateBuild":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplateBuild"},"description":"A List of utility deployment template build's"}},"additionalProperties":false},"UtilityDeploymentTemplateBuild":{"type":"object","required":["applicationBuildId"],"properties":{"applicationBuildId":{"type":"string","format":"","description":"The Application Build ID"},"deployOn":{"type":"integer","format":"integer","description":"Indicates on which host types to install the utilities on:\n1) bare metal,\n2) VM,\n3) both (default value when not specified)"},"installsPerLocation":{"type":"integer","format":"integer","description":"If > 0, limit the amount of deploys on hosts to this figure, for each active dcLocation.\nSo if this value is 2, this utility will only be deployed on two hosts per dcLocation. If 0 (default value when not specified), it will be deployed on every host in use."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility/{deploymentTemplateId}":{"put":{"tags":["DeploymentTemplate"],"summary":"Update an instance of utility deployment template","operationId":"updateDeploymentTemplateUtility","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilityDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/deploymentTemplate/utility/{deploymentTemplateId}

> Delete given utility deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility/{deploymentTemplateId}":{"delete":{"tags":["DeploymentTemplate"],"summary":"Delete given utility deployment template","operationId":"deleteDeploymentTemplateUtility","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"409":{"description":"If the template is in use, it cannot be deleted"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/utility/{deploymentTemplateId}/fleet

> Get list of fleet using utility deployment template Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/utility/{deploymentTemplateId}/fleet":{"get":{"tags":["DeploymentTemplate"],"summary":"Get list of fleet using utility deployment template Id","operationId":"getDeploymentTemplateUtilityFleets","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the deployment template","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/dependency

> Get all dependency deployment templates

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DependencyDeploymentTemplate":{"type":"object","required":["id","name","dependencyInstallerBuildId","dependencyUninstallerBuildId","fleetIds","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"dependency Deployment template ID","readOnly":true},"name":{"type":"string","format":"","description":"Name of the dependency deployment template"},"dependencyInstallerBuildId":{"type":"string","format":"","description":"Dependency installer build ID"},"dependencyUninstallerBuildId":{"type":"string","format":"","description":"Dependency uninstaller build ID"},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency":{"get":{"tags":["DeploymentTemplate"],"summary":"Get all dependency deployment templates","operationId":"getDeploymentTemplateDependencies","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/deploymentTemplate/dependency

> Create a dependency deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DependencyDeploymentTemplate":{"type":"object","required":["id","name","dependencyInstallerBuildId","dependencyUninstallerBuildId","fleetIds","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"dependency Deployment template ID","readOnly":true},"name":{"type":"string","format":"","description":"Name of the dependency deployment template"},"dependencyInstallerBuildId":{"type":"string","format":"","description":"Dependency installer build ID"},"dependencyUninstallerBuildId":{"type":"string","format":"","description":"Dependency uninstaller build ID"},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency":{"post":{"tags":["DeploymentTemplate"],"summary":"Create a dependency deployment template","operationId":"createDeploymentTemplateDependency","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/dependency/{deploymentTemplateId}

> Get the details of dependency deployment template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DependencyDeploymentTemplate":{"type":"object","required":["id","name","dependencyInstallerBuildId","dependencyUninstallerBuildId","fleetIds","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"dependency Deployment template ID","readOnly":true},"name":{"type":"string","format":"","description":"Name of the dependency deployment template"},"dependencyInstallerBuildId":{"type":"string","format":"","description":"Dependency installer build ID"},"dependencyUninstallerBuildId":{"type":"string","format":"","description":"Dependency uninstaller build ID"},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency/{deploymentTemplateId}":{"get":{"tags":["DeploymentTemplate"],"summary":"Get the details of dependency deployment template","operationId":"getDeploymentTemplateDependency","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the dependency deployment template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/deploymentTemplate/dependency/{deploymentTemplateId}

> Update given dependency deployment template.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DependencyDeploymentTemplate":{"type":"object","required":["id","name","dependencyInstallerBuildId","dependencyUninstallerBuildId","fleetIds","inUse","createdAt"],"properties":{"id":{"type":"string","format":"","description":"dependency Deployment template ID","readOnly":true},"name":{"type":"string","format":"","description":"Name of the dependency deployment template"},"dependencyInstallerBuildId":{"type":"string","format":"","description":"Dependency installer build ID"},"dependencyUninstallerBuildId":{"type":"string","format":"","description":"Dependency uninstaller build ID"},"fleetIds":{"type":"array","items":{"type":"string","format":""},"description":"IDs of the fleets that use this template","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency/{deploymentTemplateId}":{"put":{"tags":["DeploymentTemplate"],"summary":"Update given dependency deployment template.","operationId":"updateDeploymentTemplateDependency","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the dependency deployment template","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DependencyDeploymentTemplate"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/deploymentTemplate/dependency/{deploymentTemplateId}

> Delete given dependency deployment template.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency/{deploymentTemplateId}":{"delete":{"tags":["DeploymentTemplate"],"summary":"Delete given dependency deployment template.","operationId":"deleteDeploymentTemplateDependency","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the dependency deployment template","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"409":{"description":"If the template is in use, it cannot be deleted"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/deploymentTemplate/dependency/{deploymentTemplateId}/fleet

> Get all fleets using the given deploymentTemplateId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentTemplate","description":"All deployment template endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/deploymentTemplate/dependency/{deploymentTemplateId}/fleet":{"get":{"tags":["DeploymentTemplate"],"summary":"Get all fleets using the given deploymentTemplateId","operationId":"getDeploymentTemplateDependencyFleets","parameters":[{"name":"deploymentTemplateId","in":"path","description":"The Id of the dependency deployment template","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentTemplateId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/deploymenttemplate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
